#include <iostream>

using namespace std;

int main()
{
    long long int n, h, unos, izlaz = -1, i=1;
    cin >> n >> h;

    while(n>0)
    {
        cin >> unos;

        if(unos <= h)
        {

            izlaz = i;// ovako mogu da proveravam samo dokle moram
            n--;
            break;
        }
        i++;
        n--;
    }

    while(n>0)
    {
        cin >> unos;
        n--;
    }

    cout << izlaz;

    return 0;
}